include::../description.adoc[]

include::../noncompliant.adoc[]

include::../compliant.adoc[]

== Exceptions

When the result of an assignment is used as a condition, clang raises a warning to make sure the purpose was not to use ``++==++`` in place of ``++=++``. Adding some parentheses around the assignment is a common way to silence this clang warning. So, no issue is raised in such case.


----
if ((x = 7)) {} // Compliant
----

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
